import request from '/@/utils/request';

export function checkUnitApi() {
    return {
        // v1
        getCheckUnitList: (data: object) => {
            return request({
                url: `/prevent/taskUnit/select/getTaskUnitPage`,
                method: 'post',
                data: data
            });
        },
        // v1
        addCheckUnit: (data: object) => {
            return request({
                url: `/prevent/taskUnit/insert/saveTaskUnit`,
                method: 'post',
                data: data
            });
        },
        // v1
        modCheckUnit: (data: object) => {
            return request({
                url: `/prevent/taskUnit/update/updateTaskUnit`,
                method: 'post',
                data: data
            });
        },
        // v1
        deleteCheckUnit: (data: object) => {
            return request({
                url: `/prevent/taskUnit/delete/deleteTaskUnit`,
                method: 'post',
                data: data
            });
        },
        getAllCheckUnitList: () => {
            return request({
                url: `/prevent/taskUnit/select/listTaskUnit`,
                method: 'post'
            });
        }
    };
}
